### Method

# Dex StateMachine get_requested_state

unstable since: 1.2

#### Declaration [src]

    guint
    dex_state_machine_get_requested_state (
      DexStateMachine* state_machine
    )

#### Description [src]

Gets the most recent valid state requested with `dex_state_machine_transition()`.

The requested state is initialized to the initial state passed to `dex_state_machine_new()`. It is updated immediately when `dex_state_machine_transition()` is called with a valid target state, before that transition is run. It is not a guarantee that the transition will run or succeed, and it may differ from the current state returned by `dex_state_machine_get_state()`.

Available since: 1.2

#### Return value

Type: `guint`

The most recent valid requested state.